import React from 'react';
import { useAuth } from '@payloadcms/config-provider';
import Button from '../Button';
const baseClass = 'preview-btn';
const PreviewButton = ({ generatePreviewURL, data }) => {
    const { token } = useAuth();
    if (generatePreviewURL && typeof generatePreviewURL === 'function') {
        const url = generatePreviewURL(data, token);
        return (React.createElement(Button, { el: "anchor", className: baseClass, buttonStyle: "secondary", url: url, newTab: true }, "Preview"));
    }
    return null;
};
export default PreviewButton;
