import React from 'react';
import { useConfig } from '@payloadcms/config-provider';
import FileGraphic from '../../graphics/File';
import getThumbnail from '../../../../uploads/getThumbnail';
import './index.scss';
const baseClass = 'thumbnail';
const Thumbnail = (props) => {
    const { doc, doc: { filename, }, collection, size, } = props;
    const { serverURL } = useConfig();
    const thumbnail = getThumbnail(collection, doc);
    const classes = [
        baseClass,
        `${baseClass}--size-${size || 'medium'}`,
    ].join(' ');
    return (React.createElement("div", { className: classes },
        thumbnail && (React.createElement("img", { src: `${serverURL}${thumbnail}`, alt: filename })),
        !thumbnail && (React.createElement(FileGraphic, null))));
};
export default Thumbnail;
