import React from 'react';
import { Model, Document } from 'mongoose';
import { DeepRequired } from 'ts-essentials';
import { Access } from '../../config/types';
import { Field } from '../../fields/config/types';
export declare type GlobalModel = Model<Document>;
export declare type PayloadGlobalConfig = {
    slug: string;
    label?: string;
    preview?: (doc: Document, token: string) => string;
    access?: {
        create?: Access;
        read?: Access;
        update?: Access;
        delete?: Access;
        admin?: Access;
    };
    fields: Field[];
    admin?: {
        components?: {
            views?: {
                Edit?: React.ComponentType;
            };
        };
    };
};
export declare type GlobalConfig = DeepRequired<PayloadGlobalConfig>;
export declare type Globals = {
    Model: GlobalModel;
    config: GlobalConfig[];
};
